Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class GraphicsNodeChangeAdapter

    java.lang.Object
      org.apache.batik.gvt.event.GraphicsNodeChangeAdapter

All Implemented Interfaces:
  EventListener, GraphicsNodeChangeListener

Direct Known Subclasses:
  UpdateTracker

    public abstract class GraphicsNodeChangeAdapter

extends Object
implements GraphicsNodeChangeListener

An abstract adapter class for receiving graphics node change events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Extend this class to create a `GraphicsNodeChangeEvent` listener and override the methods for the events of interest. (If you implement the `GraphicsNodeChangeListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Constructor Summary
`GraphicsNodeChangeAdapter()`

Method Summary
`void` | `changeCompleted(GraphicsNodeChangeEvent gnce)` Invoked when a change on a graphics node has completed
`void` | `changeStarted(GraphicsNodeChangeEvent gnce)` Invoked when a change has started on a graphics node, but before any changes occure in the graphics node it's self.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicsNodeChangeAdapter

    public GraphicsNodeChangeAdapter()

Method Detail

### changeStarted

    public void changeStarted(GraphicsNodeChangeEvent gnce)

  Invoked when a change has started on a graphics node, but before any changes occure in the graphics node it's self.

  Specified by:
    `changeStarted` in interface `GraphicsNodeChangeListener`
  Parameters:
    `gnce` - the graphics node change event

### changeCompleted

    public void changeCompleted(GraphicsNodeChangeEvent gnce)

  Invoked when a change on a graphics node has completed

  Specified by:
    `changeCompleted` in interface `GraphicsNodeChangeListener`
  Parameters:
    `gnce` - the graphics node change event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.